Create Organisation Variable Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/variables"
payload = {
"name": "<string>",
"value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', value: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": "<string>"
}
'{
"variable": {
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"organisation_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"value": "<string>",
"description": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Variables
Create Organisation Variable Api Endpoint
POST
/
api
/
v1
/
org
/
variables
Create Organisation Variable Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/variables"
payload = {
"name": "<string>",
"value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', value: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": "<string>"
}
'{
"variable": {
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"organisation_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"value": "<string>",
"description": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes